from setuptools import setup, find_packages
from os import path

def readme():
    with open('README.md') as f:
        README = f.read()
    return README

here = path.abspath(path.dirname(__file__))


with open(path.join(here, 'dxc/ai/datasets/data/ABDATA.csv'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name="DXC-AI-MBN",
    version="0.0.7",
    description="Python library which is extensively used for all AI projects",
    long_description=readme(),
    long_description_content_type="text/markdown",
    url="https://github.com/dxc-technology/DXC-Industrialized-AI-Starter",
    #download_url = "https://github.com/dxc-technology/DXC-Industrialized-AI-Starter/releases/tag/v1.0.tar.gz",
    author="DXC",
    license="Apache License 2.0",
    platforms='any',
    classifiers=[
        "License :: OSI Approved :: Apache Software License",
        "Programming Language :: Python :: 3.7",
    ],
    #packages=["dxc", "dxc.ai"],
    packages=find_packages(exclude=['data', 'ABDATA.*']),
    include_package_data=True,
    install_requires=["JIRA","scikit-learn==0.22.2.post1","auto_ml","Algorithmia","gitpython","flatten_json==0.1.7","pyjanitor","ftfy","arrow",
                      "scrubadub","yellowbrick==1.1","datacleaner","missingno","pymongo","IPython","dnspython","pmdarima","pyaf","interpret-community","flask_cors","gevent"],
    entry_points={
        "console_scripts": [
            "dxc=dxc.ai:main",
        ]
    },
    package_data={'data': ['data/ABDATA.csv']},
)
